Update current user
PUT
/v1/auth/users/me/
const url = 'https://example.com/v1/auth/users/me/';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"email":"hello@example.com"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/v1/auth/users/me/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "email": "hello@example.com" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”object
email
required
Email address
string format: email
id
required
string format: uuid
username
required
Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only.
string
Examplegenerated
{ "email": "hello@example.com"}object
email
required
Email address
string format: email
id
required
string format: uuid
username
required
Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only.
string
Responses
Section titled “Responses”Media typeapplication/json
object
email
required
Email address
string format: email
id
required
string format: uuid
username
required
Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only.
string
Examplegenerated
{ "email": "hello@example.com"}